Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1067001

Summary: can't run rhevm-cli: No module named infrastructure.options
Product: Red Hat Enterprise Virtualization Manager Reporter: Ohad Basan <obasan>
Component: ovirt-engine-cliAssignee: Juan HernĂ¡ndez <juan.hernandez>
Status: CLOSED CURRENTRELEASE QA Contact: Jiri Belka <jbelka>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.4.0CC: acathrow, eedri, gklein, iheim, jbelka, oramraz, Rhev-m-bugs, yeylon
Target Milestone: ---Keywords: AutomationBlocker
Target Release: 3.4.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: infra
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Infra RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1078909, 1142926    

Description Ohad Basan 2014-02-19 13:37:13 UTC
Description of problem:
trying to run rhevm-cli-3.4.0.4-1.el6ev.noarch.rpm
yum installation succeeds but it's impossible to run the utility
# rhevm-shell 

Traceback (most recent call last):
  File "/usr/bin/rhevm-shell", line 9, in <module>
    load_entry_point('rhevm-shell==3.4.0.4', 'console_scripts', 'rhevm-shell')()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 299, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2229, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1948, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.6/site-packages/ovirtcli/main.py", line 19, in <module>
    from ovirtcli.infrastructure.options import OvirtCliOptionParser
ImportError: No module named infrastructure.options

Comment 3 Jiri Belka 2014-03-18 14:46:44 UTC
ok, av3.

Comment 4 Itamar Heim 2014-06-12 14:08:31 UTC
Closing as part of 3.4.0